#include <iostream>
using namespace std;
int main()
{
    int n,d,k,sbor=1,dos=1;
    cin >> n >> d >> k;
    while(k!=0)
    {
        if(dos+d>n)
        {
            sbor+=dos+d-n;
            dos=dos+d-n;
        }else
         {
             sbor+=dos+d;
             dos+=d;
         }
         k-=1;
    }
    cout << sbor << endl;
    return 0;
}
